package com.realnet.dlf.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.dlf.Entity.Dlf_header;
import com.realnet.dlf.Services.Dlf_headerService ;








@RequestMapping(value = "/Dlf_header")
 @CrossOrigin("*") 
@RestController
public class Dlf_headerController {
	@Autowired
	private Dlf_headerService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Dlf_header")
		  public Dlf_header Savedata(@RequestBody Dlf_header data) {
		Dlf_header save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Dlf_header/{id}")
	public  Dlf_header update(@RequestBody Dlf_header data,@PathVariable Integer id ) {
		Dlf_header update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Dlf_header/getall/page")
	public Page<Dlf_header> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Dlf_header> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Dlf_header")
	public List<Dlf_header> getdetails() {
		 List<Dlf_header> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Dlf_header")
	public List<Dlf_header> getallwioutsec() {
		 List<Dlf_header> get = Service.getdetails();		
		return get;
}
@GetMapping("/Dlf_header/{id}")
	public  Dlf_header  getdetailsbyId(@PathVariable Integer id ) {
		Dlf_header  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Dlf_header/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}